List a contact's goals
curl --request POST \
--url https://crm.example.com/public-api/v1/goals/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partyId": "01a1f7c6-3a71-74f2-8a38-22909d8dc050"
}
'import requests
url = "https://crm.example.com/public-api/v1/goals/list"
payload = { "partyId": "01a1f7c6-3a71-74f2-8a38-22909d8dc050" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partyId: '01a1f7c6-3a71-74f2-8a38-22909d8dc050'})
};
fetch('https://crm.example.com/public-api/v1/goals/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.example.com/public-api/v1/goals/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'partyId' => '01a1f7c6-3a71-74f2-8a38-22909d8dc050'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.example.com/public-api/v1/goals/list"
payload := strings.NewReader("{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.example.com/public-api/v1/goals/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.example.com/public-api/v1/goals/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Goals listed",
"metaData": {
"warnings": [
"<string>"
]
},
"data": [
{
"id": "<string>",
"partyId": "<string>",
"desiredOutcome": "<string>",
"description": "<string>",
"status": "active",
"valueAmount": 123,
"valueCurrency": "<string>",
"targetDate": "2026-12-31",
"closedAt": "2026-11-20T09:00:00.000Z",
"createdAt": "2026-11-20T09:00:00.000Z"
}
]
}{
"type": "bad_request",
"message": "partyId: Invalid uuid"
}{
"type": "unauthorized",
"message": "Send a valid API key as Authorization: Bearer gd_key_…"
}{
"type": "not_found",
"message": "contact not found"
}{
"type": "rate_limited",
"message": "Rate limit reached. Retry in 30s."
}Goals
List a contact's goals
POST
/
v1
/
goals
/
list
List a contact's goals
curl --request POST \
--url https://crm.example.com/public-api/v1/goals/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partyId": "01a1f7c6-3a71-74f2-8a38-22909d8dc050"
}
'import requests
url = "https://crm.example.com/public-api/v1/goals/list"
payload = { "partyId": "01a1f7c6-3a71-74f2-8a38-22909d8dc050" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partyId: '01a1f7c6-3a71-74f2-8a38-22909d8dc050'})
};
fetch('https://crm.example.com/public-api/v1/goals/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.example.com/public-api/v1/goals/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'partyId' => '01a1f7c6-3a71-74f2-8a38-22909d8dc050'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.example.com/public-api/v1/goals/list"
payload := strings.NewReader("{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.example.com/public-api/v1/goals/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.example.com/public-api/v1/goals/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"partyId\": \"01a1f7c6-3a71-74f2-8a38-22909d8dc050\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Goals listed",
"metaData": {
"warnings": [
"<string>"
]
},
"data": [
{
"id": "<string>",
"partyId": "<string>",
"desiredOutcome": "<string>",
"description": "<string>",
"status": "active",
"valueAmount": 123,
"valueCurrency": "<string>",
"targetDate": "2026-12-31",
"closedAt": "2026-11-20T09:00:00.000Z",
"createdAt": "2026-11-20T09:00:00.000Z"
}
]
}{
"type": "bad_request",
"message": "partyId: Invalid uuid"
}{
"type": "unauthorized",
"message": "Send a valid API key as Authorization: Bearer gd_key_…"
}{
"type": "not_found",
"message": "contact not found"
}{
"type": "rate_limited",
"message": "Rate limit reached. Retry in 30s."
}Authorizations
Body
application/json